package higa.util;

import java.util.EventListener;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ActionMulticaster
  extends EventMulticaster implements ActionListener {

  public ActionMulticaster() {
  }

  public void actionPerformed(ActionEvent e) {
    dispatch(e);
  }

  public final void dispatch(ActionEvent e) {
    EventListener[] ref = getListeners();

    if (ref != null) {
      int count = ref.length;
      for (int i = 0; i < count; i++) {
        ((ActionListener)ref[i]).actionPerformed(e);
      }
    }
  }
} 