package higa.jhcl.model;

public interface MatrixModel {

  public boolean canSet(int rowIndex, int columnIndex);

  public void set(int rowIndex, int columnIndex, Object data);

  public void addRow();

  public void addRow(int rowIndex);

  public void removeRow(int rowIndex);

  public void removeAllRows();

  public void addColumn();

  public void addColumn(int columnIndex);

  public void removeColumn(int columnIndex);

  public void removeAllColumns();

  public void setEventEnabled(boolean enable);

  public Object get(int rowIndex, int columnIndex);

  public int getRowCount();

  public int getColumnCount();

  public void addModelListener(
    MatrixModelListener listener);

  public void removeModelListener(
    MatrixModelListener listener);
}