package higa.sql.dataset;

import java.util.EventListener;

import higa.util.BasicEvent;
import higa.util.Dispatch;

public class StatusEvent
  extends BasicEvent
  implements Dispatch {

  public static final int STATUS_MESSAGE = 0;

  public StatusEvent(Object source, int id) {
    super(source, id);
  }

  public void dispatch(EventListener listener) {
    switch (getID()) {
      case STATUS_MESSAGE:
        ((StatusListener)listener).statusMessage(this);
        break;
      default:
        throw new IllegalArgumentException(
          "ID:" + getID());
    }
  }
}